<?php
include_once("kurs/datenbankanbindung.php");		// f&uuml;gt die Datenbankanbindung ein: Sys:\php\includes\kurs\datenbankanbindung.php
require_once("../stud/func_get_block.php");                  // Gibt den Block zurück, in welchen die Stelle fällt

$jahrgang=$_GET["jahrgang"];


$db = dbconnect();


$query = "SELECT distinct a.uid, mtknr, vorname, nachname, saaid, art, dst_id
            FROM stud a, stan_antrag b
           WHERE a.uid = b.uid
             AND jahrgang='$jahrgang'
             AND (b.status='0' or b.status='1')
             AND (zuweisung is NULL OR zuweisung='Z')
             AND durchgefallen != 'Y'
             AND art IN (6,7)
           ORDER BY nachname";
$result = $db->query ($query)
   or die ("Cannot execute query");
echo "<table width='100%' border=1>
      <tr>
        <td>
         <b>Benutzerkennung</b>
        </td>
        <td>
         <b>Vorname</b>
        </td>
        <td>
         <b>Nachname</b>
        </td>
        <td>
         <b>Matrikelnummer</b>
        </td>
        <td>
         <b>Stelle</b>
        </td>
        <td>
         <b>Block</b>
        </td>
        <td>
         <b>Zugewiesener AG Standort</b>
        </td>
      </tr>
";
while ($row = $result->fetch_array()){

$block = get_block($row[saaid], $jahrgang);

$result2 = $db->query("SELECT distinct uid, wagsid
                         FROM stan_ag_standort_wunsch
                        WHERE uid='$row[uid]'
                          AND block = '$block'
                          AND prio = '0'
                          AND wagsid !='0'");
$row_uid = $result2->fetch_array();
#
if($block != 4 AND $row_uid[uid] != ''){

$result5 = $db->query("SELECT concat(bezeichnung, ' ',name) name, ort, plz, staat, bundesland
                          FROM stan_dienststellen
                         WHERE dst_id ='$row[dst_id]'");
$row5 = $result5->fetch_array();

$result6 = $db->query("SELECT bez, ort, plz, staat, bundesland
                          FROM stan_dienststellen_tmp
                         WHERE dst_id ='$row[dst_id]'");
$row6 = $result6->fetch_array();

if($row5[name] != '' and $row6[bez] == ''){
  $bezeichnung = $row5[name];
  $ort = $row5[ort];
  $plz = $row5[plz];
  $staat = $row5[staat];
  $bundesland = $row5[bundesland];
}


if($row5[name] == '' and $row6[bez] != ''){
  $bezeichnung = $row6[bez];
  $ort = $row6[ort];
  $plz = $row6[plz];
  $staat = $row6[staat];
  $bundesland = $row6[bundesland];
}

$result7 = $db->query("SELECT b.standort, block
                          FROM stan_ag_standort a, stan_standort b
                         WHERE a.sid=b.sid
                           AND a.agsid='$row_uid[wagsid]'");
$row7 = $result7->fetch_array();

  echo "<tr>
         <td>
           $row[uid]
         </td>
         <td>
           $row[vorname]
         </td>
         <td>
           $row[nachname]
         </td>
         <td>
           $row[mtknr]
         </td>
         <td>
           $bezeichnung <br> $plz $ort<br>$bundesland<br>$staat
         </td>
         <td>
           $block
         </td>
         <td>
           $row7[standort]
         </td>
        <tr>";

}
}


echo "</table>";
?>